use std::env;
use std::process;

fn main() {
    let args: Vec<String> = env::args().collect();
    let equation = computorv1::parse(&args[1]).unwrap_or_else(|e| {
        println!("Error during parsing: {e}");
        process::exit(1);
    });
    computorv1::solve(equation);
}
